You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flink.apache.org by rm...@apache.org on 2017/01/24 11:02:46 UTC

[2/2] flink git commit: [FLINK-5617] Change reference version for API stability checks to 1.1.4

[FLINK-5617] Change reference version for API stability checks to 1.1.4


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/20c76a98
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/20c76a98
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/20c76a98

Branch: refs/heads/master
Commit: 20c76a98b0b52d3fc164fbc0b8808a93cb50804f
Parents: f0d96e3
Author: Robert Metzger <rm...@apache.org>
Authored: Mon Jan 23 14:31:27 2017 +0100
Committer: Robert Metzger <rm...@apache.org>
Committed: Tue Jan 24 12:01:35 2017 +0100

----------------------------------------------------------------------
 flink-core/pom.xml               |  9 +++++++++
 flink-streaming-scala/pom.xml    |  2 +-
 pom.xml                          |  2 +-
 tools/collect_japicmp_reports.sh | 31 +++++++++++++++++++++++++++++++
 4 files changed, 42 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/20c76a98/flink-core/pom.xml
----------------------------------------------------------------------
diff --git a/flink-core/pom.xml b/flink-core/pom.xml
index 3debc72..e9738a2 100644
--- a/flink-core/pom.xml
+++ b/flink-core/pom.xml
@@ -156,6 +156,15 @@ under the License.
 							<exclude>org.apache.flink.api.common.ExecutionConfig#CONFIG_KEY</exclude>
 							<exclude>org.apache.flink.core.fs.FileSystem$FSKey</exclude>
 							<exclude>org.apache.flink.api.java.typeutils.WritableTypeInfo</exclude>
+							<!-- Breaking changes between 1.1 and 1.2. 
+							We ignore these changes because these are low-level, internal runtime configuration parameters -->
+							<exclude>org.apache.flink.configuration.ConfigConstants#DEFAULT_JOB_MANAGER_MAX_ATTEMPTS_HISTORY_SIZE</exclude>
+							<exclude>org.apache.flink.configuration.ConfigConstants#DEFAULT_NETWORK_REQUEST_BACKOFF_INITIAL</exclude>
+							<exclude>org.apache.flink.configuration.ConfigConstants#DEFAULT_NETWORK_REQUEST_BACKOFF_MAX</exclude>
+							<exclude>org.apache.flink.configuration.ConfigConstants#DEFAULT_TASK_CANCELLATION_TIMEOUT_MILLIS</exclude>
+							<exclude>org.apache.flink.configuration.ConfigConstants#ENABLE_QUARANTINE_MONITOR</exclude>
+							<exclude>org.apache.flink.configuration.ConfigConstants#NETWORK_REQUEST_BACKOFF_INITIAL_KEY</exclude>
+							<exclude>org.apache.flink.configuration.ConfigConstants#NETWORK_REQUEST_BACKOFF_MAX_KEY</exclude>
 						</excludes>
 					</parameter>
 				</configuration>

http://git-wip-us.apache.org/repos/asf/flink/blob/20c76a98/flink-streaming-scala/pom.xml
----------------------------------------------------------------------
diff --git a/flink-streaming-scala/pom.xml b/flink-streaming-scala/pom.xml
index d73ed38..f95ad79 100644
--- a/flink-streaming-scala/pom.xml
+++ b/flink-streaming-scala/pom.xml
@@ -237,7 +237,7 @@ under the License.
 				<artifactId>japicmp-maven-plugin</artifactId>
 				<configuration>
 					<parameter>
-						<excludes>
+						<excludes combine.children="append">
 							<!-- Exclude generated classes from api compatibility checks -->
 							<exclude>*\$\$anon\$*</exclude>
 						</excludes>

http://git-wip-us.apache.org/repos/asf/flink/blob/20c76a98/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 389af84..2279b0b 100644
--- a/pom.xml
+++ b/pom.xml
@@ -1242,7 +1242,7 @@ under the License.
 							<dependency>
 								<groupId>org.apache.flink</groupId>
 								<artifactId>${project.artifactId}</artifactId>
-								<version>1.0.0</version>
+								<version>1.1.4</version>
 								<type>${project.packaging}</type>
 							</dependency>
 						</oldVersion>

http://git-wip-us.apache.org/repos/asf/flink/blob/20c76a98/tools/collect_japicmp_reports.sh
----------------------------------------------------------------------
diff --git a/tools/collect_japicmp_reports.sh b/tools/collect_japicmp_reports.sh
new file mode 100755
index 0000000..6ff1238
--- /dev/null
+++ b/tools/collect_japicmp_reports.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+
+HERE=` basename "$PWD"`
+if [[ "$HERE" != "tools" ]]; then
+    echo "Please only execute in the tools/ directory";
+    exit 1;
+fi
+
+cp ../flink-core/target/japicmp/japicmp.html flink-core.html
+cp ../flink-java/target/japicmp/japicmp.html flink-java.html
+cp ../flink-scala/target/japicmp/japicmp.html flink-scala.html
+cp ../flink-streaming-java/target/japicmp/japicmp.html flink-streaming-java.html
+